NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Routing::EditLineSegmentBuilder Class Reference

Builder for the "Edit Line Segment" operation. More...

Inheritance diagram for NXOpen::Routing::EditLineSegmentBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void AddLineToSetOfAllEditedSegments ()
 Adds the current line segment to the set of all line segments that have been edited by the user. More...
 
bool ConvertEccentricSegment ()
 Returns the conversion flag. More...
 
void DetachActiveRcp ()
 Detaches the line segment, stored in builder, at its active end RCP. More...
 
void DragLineLength ()
 Updates the line length based on the expression stored in this builder. More...
 
NXOpen::Point3d GetActiveRcpPositon ()
 Determines the active RCP for the line selected by the user. More...
 
bool GetOrientation (NXOpen::Point3d *startPoint, NXOpen::Vector3d *direction)
 Determines the orientation information for the line selected by the user. More...
 
void InitializeFromLine (NXOpen::Routing::LineSegment *line)
 Initializes (or resets) the builder based off of the input line segment. More...
 
NXOpen::ExpressionLength ()
 Returns the length expression. More...
 
NXOpen::Routing::SelectLineSegmentLineSelection ()
 Returns the line selection. More...
 
bool LockLength ()
 Returns the lock length flag. More...
 
void ModifiedLineLength ()
 Updates the line length based on the expression stored in this builder. More...
 
void RestartDrag ()
 Restart a line drag operation. More...
 
bool ReverseDirection ()
 Returns the reverse direction flag. More...
 
void SetConvertEccentricSegment (bool convertEccentricSegment)
 Sets the conversion flag. More...
 
void SetLockLength (bool lockLength)
 Sets the lock length flag. More...
 
void SetReverseDirection (bool reverse)
 Sets the reverse direction flag. More...
 
void StopDrag ()
 Stop the drag operation if it has begun. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Builder for the "Edit Line Segment" operation.

Sets (and locks or unlocks) the length of NXOpen::Routing::LineSegment objects. Also moves geometry attached to the line segment to ensure that the attached geometry has the correct shape after an edit.
To create a new instance of this class, use NXOpen::Routing::RouteManager::CreateEditLineSegmentBuilder

Created in NX6.0.0.

Member Function Documentation

void NXOpen::Routing::EditLineSegmentBuilder::AddLineToSetOfAllEditedSegments ( )

Adds the current line segment to the set of all line segments that have been edited by the user.


Created in NX9.0.2.

License requirements : routing_base ("Routing Basic")

bool NXOpen::Routing::EditLineSegmentBuilder::ConvertEccentricSegment ( )

Returns the conversion flag.

Forces the commit method to convert line segment to eccentric line segment if set to true. Otherwise convert it to vice versa
Created in NX8.0.0.

License requirements : routing_base ("Routing Basic")

void NXOpen::Routing::EditLineSegmentBuilder::DetachActiveRcp ( )

Detaches the line segment, stored in builder, at its active end RCP.

By reversing the direction of line segment, user could make other end RCP as active RCP.
Created in NX8.0.0.

License requirements : routing_base ("Routing Basic")

void NXOpen::Routing::EditLineSegmentBuilder::DragLineLength ( )

Updates the line length based on the expression stored in this builder.

The line is not fully updated only partially updated (i.e. solid bodies build on the line do not update). This method assumes the difference between the new length value and the previous length value is very small (e.g. a drag operation).
Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

NXOpen::Point3d NXOpen::Routing::EditLineSegmentBuilder::GetActiveRcpPositon ( )

Determines the active RCP for the line selected by the user.

This is end RCP other than the start point of line segment. This RCP could be dragged along the segment.

Returns
End point other than the start point of line segment.
Created in NX8.0.0.

License requirements : routing_base ("Routing Basic")
bool NXOpen::Routing::EditLineSegmentBuilder::GetOrientation ( NXOpen::Point3d startPoint,
NXOpen::Vector3d direction 
)

Determines the orientation information for the line selected by the user.

Returns false if there is no line currently stored in the builder.

Returns
True if there is a line associated with this builder.
Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")
Parameters
startPointThe start of the line.
directionThe direction of the line (unit vector).
void NXOpen::Routing::EditLineSegmentBuilder::InitializeFromLine ( NXOpen::Routing::LineSegment line)

Initializes (or resets) the builder based off of the input line segment.


Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
lineLine object, may be NULL
NXOpen::Expression* NXOpen::Routing::EditLineSegmentBuilder::Length ( )

Returns the length expression.

This data from this expression is copied to (or from) the distance constraint applied to the ends of the line segment.
Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

NXOpen::Routing::SelectLineSegment* NXOpen::Routing::EditLineSegmentBuilder::LineSelection ( )

Returns the line selection.

Stores the line segment selected by the user.
Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

bool NXOpen::Routing::EditLineSegmentBuilder::LockLength ( )

Returns the lock length flag.

Forces the commit method to lock the length to the specified value if set to true. Otherwise the length of the line segment is unconstrained after the commit method is invoked.
Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

void NXOpen::Routing::EditLineSegmentBuilder::ModifiedLineLength ( )

Updates the line length based on the expression stored in this builder.

The line is not fully updated only partially updated (i.e. solid bodies build on the line do not update). This method doesn't assume anything about the new value. This method updates the line incrementally from the original length to the new length as this usually results in better looking geometry.
Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

void NXOpen::Routing::EditLineSegmentBuilder::RestartDrag ( )

Restart a line drag operation.

This routine should only be called if NXOpen::Routing::EditLineSegmentBuilder::StopDrag . was previously called to stop a line drag operation.
Created in NX7.5.1.

License requirements : routing_base ("Routing Basic")

bool NXOpen::Routing::EditLineSegmentBuilder::ReverseDirection ( )

Returns the reverse direction flag.

Flips the direction that the extends towards (or shrinks along). This flips the origin of the line as well as the direction.
Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

void NXOpen::Routing::EditLineSegmentBuilder::SetConvertEccentricSegment ( bool  convertEccentricSegment)

Sets the conversion flag.

Forces the commit method to convert line segment to eccentric line segment if set to true. Otherwise convert it to vice versa
Created in NX8.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
convertEccentricSegmentconverteccentricsegment
void NXOpen::Routing::EditLineSegmentBuilder::SetLockLength ( bool  lockLength)

Sets the lock length flag.

Forces the commit method to lock the length to the specified value if set to true. Otherwise the length of the line segment is unconstrained after the commit method is invoked.
Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
lockLengthlocklength
void NXOpen::Routing::EditLineSegmentBuilder::SetReverseDirection ( bool  reverse)

Sets the reverse direction flag.

Flips the direction that the extends towards (or shrinks along). This flips the origin of the line as well as the direction.
Created in NX6.0.0.

License requirements : routing_base ("Routing Basic")

Parameters
reversereverse
void NXOpen::Routing::EditLineSegmentBuilder::StopDrag ( )

Stop the drag operation if it has begun.

This will commit the drag and update the assembly. This will not remove the segment from the builder and dragging can be restarted by calling NXOpen::Routing::EditLineSegmentBuilder::RestartDrag .
Created in NX7.5.1.

License requirements : routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.